Name:		plank
Group:		Applications/System
Version:	0.3.0
Release:	1%{?dist}
Summary:	Basic dock

License:	GPLv3
URL:		http://wiki.go-docky.com/index.php?title=Plank:Introduction
Source0:	https://launchpad.net/plank/0.3/%{version}/+download/%{name}-%{version}.tar.xz

BuildRequires:	automake
BuildRequires:	intltool >= 0.35
BuildRequires:	libtool
BuildRequires:	gnome-common
BuildRequires:	pkgconfig
BuildRequires:	vala >= 0.14.1
BuildRequires:	vala-tools
BuildRequires:	bamf3-devel >= 0.2.94
BuildRequires:	gdk-pixbuf2-devel >= 2.26.0
BuildRequires:	libgee06-devel >= 0.5.2
BuildRequires:	glib2-devel >= 2.32.0
BuildRequires:	gtk3-devel >= 3.0.0
BuildRequires:	libwnck3-devel 
BuildRequires:	libX11-devel

Requires:	bamf-daemon >= 0.2.94

%description
A basic dock from the makers of docky.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
%find_lang %{name}
rm -rf %{_sysconfdir}/apport
rm -rf %{_datadir}/apport

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_libdir}/lib%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-,root,root,-)
%doc AUTHORS
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/vala/vapi/%{name}.*
%exclude %{_sysconfdir}/apport
%exclude %{_datadir}/apport

%changelog
* Mon Jul 09 2013 Aaron Clark <ophidian@fedoraproject.org> - 0.3.0-1
- Updated to first official Plank release.
* Mon Feb 25 2013 Aaron Clark <ophidian@fedoraproject.org> - 0.2.0-2
- Added version requirements to dependencies, based on Plank site documentation.
* Sat Feb 15 2013 Aaron Clark <ophidian@fedoraproject.org> - 0.2.0-1
- Initial build
